package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.controller.KuaiShouActivityItemList;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * 快分销-招商商品列表
 *
 * @author jeecg-boot
 * 2023-01-10
 * @version V1.0
 */
public interface IKuaiShouActivityItemListService extends IService<KuaiShouActivityItemList> {

    void getActivityItemList(String cookie, Integer offset, Long activityId, Integer activityStatus, Map<Long, Integer> itemMap) throws Exception;

    Map<Long, Long> getItemMap();

    Map<Long, Long> getMgsItemList();

    Map<Long, Long> getRocketItemList();

    Map<Long, Long> getYufuItemList();

    Map<Long, Long> getYuXiuItemList();
}
